ECPKParameters_print(3) | OpenSSL | ECPKParameters_print(3)

# NAME

ECPKParameters_print, ECPKParameters_print_fp - Functions for decoding and encoding ASN1 representations of elliptic curve entities

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

     #include <openssl/ec.h>

     int ECPKParameters_print(BIO *bp, const EC_GROUP *x, int off);
     int ECPKParameters_print_fp(FILE *fp, const EC_GROUP *x, int off);

# DESCRIPTION

The ECPKParameters represent the public parameters for an EC_GROUP structure, which represents a curve.

The ECPKParameters_print() and ECPKParameters_print_fp() functions print a human-readable output of the public parameters of the EC_GROUP to bp or fp. The output lines are indented by off spaces.

# RETURN VALUES

ECPKParameters_print() and ECPKParameters_print_fp() return 1 for success and 0 if an error occurs.

# SEE ALSO

crypto(7), EC_GROUP_new(3), EC_GROUP_copy(3), EC_POINT_new(3), EC_POINT_add(3), EC_KEY_new(3), EC_GFp_simple_method(3),

# COPYRIGHT

Copyright 2013-2017 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.

2018-09-23 | 1.1.1c